# Generated by configure.  Do not edit.


commit fd85623d34a54b3f5607011086cf19cb2c756a6a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 9 16:31:22 2020 +0000

    Release Clutter 1.26.4

 NEWS         | 34 ++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 meson.build  |  2 +-
 3 files changed, 36 insertions(+), 2 deletions(-)

commit 508cc0f39355b759dd94884efb7af76a5847c13d
Author: Nathan Follens <nfollens@gnome.org>
Date:   Fri Mar 6 20:54:13 2020 +0000

    Update Dutch translation

 po/nl.po | 376 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 188 insertions(+), 188 deletions(-)

commit bb7cfa11cee95ba642892b3443c45c3866d03ad4
Author: Nathan Follens <nfollens@gnome.org>
Date:   Mon Feb 24 16:08:20 2020 +0000

    Update Dutch translation

 po/nl.po | 30 ++++++++++++------------------
 1 file changed, 12 insertions(+), 18 deletions(-)

commit 6a1514db1e250ef6a7c0acced68c542db55d4a96
Author: Sabri Ünal <libreajans@gmail.com>
Date:   Mon Feb 10 19:06:47 2020 +0000

    Update Turkish translation

 po/tr.po | 352 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 176 insertions(+), 176 deletions(-)

commit 67f54788bdc4c5936bb4bcd3a848725a4d1ded4a
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Jan 28 08:49:55 2020 +0000

    Update Slovak translation

 po/sk.po | 78 +++++++++++++++++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 45 insertions(+), 33 deletions(-)

commit 02ddfcc00f895492145fa8074dee13212db0ff6f
Author: Umarzuki Bin Mochlis Moktar <umarzuki@gmail.com>
Date:   Wed Jan 8 15:03:49 2020 +0000

    Add Malay translation

 po/ms.po | 2824 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2824 insertions(+)

commit 1b40118572abd0e03dca7ce5e1c49850f43b140c
Author: Jordi Mas <jmas@softcatala.org>
Date:   Fri Dec 27 13:29:26 2019 +0100

    Update Catalan translation

 po/ca.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 09788c786f832deec2ae5d9e7b468e7ee0df112d
Merge: e1efdc92f 6134c915f
Author: Emmanuele Bassi <ebassi@gmail.com>
Date:   Mon Oct 7 23:52:29 2019 +0000

    Merge branch '10bpc' into 'master'
    
    Handle 8 and 10 bits colour depth in picking code (#11)
    
    See merge request GNOME/clutter!10

commit 6134c915fd66fdb4c6b89b0547e68ac8edc62a08
Author: Floris Van den Abeele <florisvda@gmail.com>
Date:   Mon Oct 7 22:55:48 2019 +0200

    Fix coding style issues in MR !10

 clutter/clutter-main.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 9b6d501726e4327db13f6516d229ec43e3cd44e0
Author: Floris Van den Abeele <florisvda@gmail.com>
Date:   Sat Sep 7 21:52:36 2019 +0200

    Handle 8 and 10 bits colour depth in picking code (#11)

 clutter/clutter-main.c | 52 ++++++++++++++++++++++++++++++++--------------------
 1 file changed, 32 insertions(+), 20 deletions(-)

commit e1efdc92f71e1c233dfb680cc73549392079a3b6
Merge: 25be50900 c70913e2d
Author: Emmanuele Bassi <ebassi@gmail.com>
Date:   Mon Oct 7 16:47:25 2019 +0000

    Merge branch 'wip/remove-scattered-refs' into 'master'
    
    transition: Don't split reference counting with actor
    
    See merge request GNOME/clutter!12

commit c70913e2df8c8e3b924ca355e73cc12bfb45fcb7
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Mon Oct 7 18:45:58 2019 +0200

    transition: Don't split reference counting with actor
    
    ClutterActor took a reference in its transition 'stopped' handler,
    aiming to keep the transition alive during signal emission even if it
    was removed during. This is, however, already taken care of by
    ClutterTimeline, by always taking a reference during its 'stopped'
    signal emission, so no need to add another one.
    
    This also has the bonus of making reference ownership simpler, as well
    as avoidance of double free if an actor was destroyed before a
    transition has finished.

 clutter/clutter-actor.c      | 7 -------
 clutter/clutter-transition.c | 1 -
 2 files changed, 8 deletions(-)

commit 25be50900b3c9745c4da45db347bd985b9f96c6f
Author: Emmanuele Bassi <ebassi@gmail.com>
Date:   Mon Oct 7 14:16:04 2019 +0000

    Update README.md
    
    Note that we're in deep maintenance mode, to avoid people submitting bugs or
    merge requests with new features.

 README.md | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit d83bc14e8e5575f5aca4228065fc429bef117ec4
Merge: b0d3598cc c32fe995b
Author: Emmanuele Bassi <ebassi@gmail.com>
Date:   Fri Oct 4 23:43:03 2019 +0000

    Merge branch 'environment' into 'master'
    
    docs: Add missing settings.ini Environment group keys
    
    See merge request GNOME/clutter!8

commit b0d3598ccac4e5bd470be9c61de35d135cf7e79f
Merge: e7db0571f 4a381fa36
Author: Emmanuele Bassi <ebassi@gmail.com>
Date:   Fri Oct 4 23:40:31 2019 +0000

    Merge branch 'wip/lantw/meson-dont-use-undocumented-export-dynamic-option' into 'master'
    
    meson: Don't use undocumented -export-dynamic option
    
    See merge request GNOME/clutter!9

commit e7db0571fa4661993188e987ed38c72424ceeef7
Merge: f55dfb7be 93bf13dd6
Author: Emmanuele Bassi <ebassi@gmail.com>
Date:   Fri Oct 4 23:39:50 2019 +0000

    Merge branch 'wip/fix-transitions-leak' into 'master'
    
    clutter/actor: Mark implicit transitions as remove-on-complete
    
    See merge request GNOME/clutter!11

commit 93bf13dd6937d97fb68651967736ba1a252337c0
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Fri Oct 4 19:44:39 2019 +0200

    clutter/actor: Mark implicit transitions as remove-on-complete
    
    Implicit transitions had a referenced taken while emitting the
    completion signals, but said reference would only be released if it was
    had remove-on-complete set to TRUE.
    
    Change this to instead remove the 'is_implicit' state and mark all
    implicit transitions as remove-on-complete.

 clutter/clutter-actor.c | 27 +++++++++++----------------
 1 file changed, 11 insertions(+), 16 deletions(-)

commit f55dfb7be3f6452460d4b4c45094051eb7ab50b5
Author: Ryuta Fujii <translation@sicklylife.jp>
Date:   Sun Sep 22 12:11:40 2019 +0000

    Update Japanese translation

 po/ja.po | 109 ++++++++++++++++++++++++++-----------------------------------------------------------------------------------
 1 file changed, 26 insertions(+), 83 deletions(-)

commit 7013f07a62245edc84fc05f460991695ddbe1daf
Author: Ryuta Fujii <translation@sicklylife.jp>
Date:   Sun Sep 22 12:10:19 2019 +0000

    Update Japanese translation

 po/ja.po | 1787 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------
 1 file changed, 980 insertions(+), 807 deletions(-)

commit 4a381fa368894135dd9db31862e2663e00d1c9c5
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Sat Sep 7 15:07:23 2019 +0800

    meson: Don't use undocumented -export-dynamic option
    
    GNU libtool is documented to support -export-dynamic and GNU ld is
    documented to support --export-dynamic. However, GCC isn't documented
    to support them. While GCC does support -export-dynamic for backwards
    compatibility, Clang doesn't support it and interprets it wrongly. This
    causes warnings to be shown during linking because Clang splits it into
    '-e xport-dynamic' and the linker can't find 'xport-dynamic' symbol.

 doc/cookbook/examples/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 279ae7ed2207e1a873a5c955790b1aa4181206fb
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue Sep 3 08:19:51 2019 +0000

    Update Friulian translation

 po/fur.po | 56 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 28 insertions(+), 28 deletions(-)

commit c32fe995b60e1db30e6c1f6a83f095ab88c983cd
Author: Chris Mayo <aklhfex@gmail.com>
Date:   Fri Aug 30 20:06:48 2019 +0100

    docs: Add missing settings.ini Environment group keys
    
    Backends, Drivers and SyncToVblank are available but not documented in
    "Running Clutter".

 doc/reference/running-clutter.xml | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 557e5c20582be83be2766f439ed12afdfda68d77
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Thu Aug 22 16:54:48 2019 +0000

    Update Finnish translation

 po/fi.po | 2779 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 1395 insertions(+), 1384 deletions(-)

commit 821478e6b429792b54fa7a87947890b41c785555
Merge: 21a88dc73 4eaafae52
Author: Emmanuele Bassi <ebassi@gmail.com>
Date:   Thu Aug 22 00:15:10 2019 +0000

    Merge branch 'wip/smcv/gdk-hidpi-buffer-scale' into 'master'
    
    gdk: Ensure surface buffer scale is set
    
    See merge request GNOME/clutter!7

commit 4eaafae520c0849a581aa9a1321b808a81d8ed7c
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Mon Nov 7 22:52:45 2016 +0100

    gdk: Ensure surface buffer scale is set
    
    GDK will only set the buffer scale for the surfaces it creates when
    attaching an image or when using an egl window window. Neither will
    happen for native clutter applications, thus directly set the buffer
    scale from clutter in that case (so it's in sync with the rendering
    scale)
    
    Signed-off-by: Sjoerd Simons <sjoerd@luon.net>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769190

 clutter/gdk/clutter-stage-gdk.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 21a88dc739c19e32b2c52f3bde34e8ad993fd8ba
Merge: e20594f83 f829ddf31
Author: Emmanuele Bassi <ebassi@gmail.com>
Date:   Wed Aug 21 17:20:50 2019 +0000

    Merge branch 'wip/smcv/issue8' into 'master'
    
    tests/conform: Fix actor-offscreen-redirect
    
    Closes #8
    
    See merge request GNOME/clutter!6

commit f829ddf31449f76292a0f0a2c3e7269802d41a32
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Thu May 26 22:44:49 2016 +0800

    tests/conform: Fix actor-offscreen-redirect
    
    The actor-offscreen-redirect didn't initialize its state properly, so
    it could potentially end up with the "was_painted" state being TRUE
    from the start, effectively skipping the whole test.
    
    Fixing so that the test even run resulted in the test getting stuck in
    a dead lock due to the verification that a frame was drawn was done
    from a paint callback. A paint callback had the mutex held, so when the
    test case tried to run the main loop, the next paint callback caller
    path taken would try to re-lock the same mutex, thus dead lock.
    
    [Changes originally from the fork of clutter in mutter 3.21.4,
    commit 9c0fa583.]
    
    Fixes: https://gitlab.gnome.org/GNOME/clutter/issues/8
    Bug-Debian: https://bugs.debian.org/931921
    Signed-off-by: Simon McVittie <smcv@debian.org>

 tests/conform/actor-offscreen-redirect.c | 49 ++++++++++++++++++++++++++++++-------------------
 1 file changed, 30 insertions(+), 19 deletions(-)

commit e20594f83bd123c9904c18d6b3fd766c1433cd2c
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Wed May 1 07:59:01 2019 +0000

    Update Basque translation

 po/eu.po | 1646 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------------------
 1 file changed, 800 insertions(+), 846 deletions(-)

commit d01e03d1b5bdfb67168341aabe2404b88319de0b
Author: Nathan Follens <nfollens@gnome.org>
Date:   Fri Mar 8 09:58:46 2019 +0000

    Update Dutch translation

 po/nl.po | 2665 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------
 1 file changed, 1671 insertions(+), 994 deletions(-)

commit bd22e48301ed0b26d7cec5db8dc09c10aa7576bc
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:   Thu Feb 28 21:33:46 2019 +0000

    Update Serbian translation

 po/sr.po | 1505 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 749 insertions(+), 756 deletions(-)

commit 6323be83fd84a30449ebbbbec238c0aa0600e68f
Merge: 22483b0fb 495fb2272
Author: Emmanuele Bassi <ebassi@gmail.com>
Date:   Thu Feb 14 13:42:47 2019 +0000

    Merge branch 'wip/hadess/api-docs' into 'master'
    
    API doc fixes
    
    See merge request GNOME/clutter!3

commit 495fb22722fd2daa0c8b1ddaa9f88a7bebfb80d7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 14 13:04:06 2019 +0100

    docs: Fix typo in ClutterLayoutManager doc

 clutter/clutter-layout-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 075dc4d3d5898672ab23d028a34f0387fc20e4e8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 14 13:02:57 2019 +0100

    Fix obsolete API doc for clutter_table_layout_pack()
    
    clutter_grid_layout_attach_child() doesn't seem to have ever existed.

 clutter/deprecated/clutter-table-layout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 22483b0fb0dd40eaa13bc798fab532394dabe599
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Feb 10 14:36:43 2019 +0100

    Update Catalan translation

 po/ca.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bb3f2de58b20eb25c83990853ee2f6e7a1acf5d2
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Fri Jan 11 23:41:54 2019 +0100

    g-i: Annotate "callback" type of clutter_binding_pool_override_action()

 clutter/clutter-binding-pool.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a2f816fe7a5050a1be9260693f2e7945533cef52
Author: Charles Monzat <charles.monzat@numericable.fr>
Date:   Sat Dec 29 14:46:56 2018 +0000

    Update French translation

 po/fr.po | 29 +++++++----------------------
 1 file changed, 7 insertions(+), 22 deletions(-)

commit 3e3901c0a1f938f09b9a55617689a8e6d6df8c62
Author: Balasankar C <balasankarc@autistici.org>
Date:   Fri Oct 26 18:15:29 2018 +0000

    Update Malayalam translation

 po/ml.po | 403 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------------------
 1 file changed, 181 insertions(+), 222 deletions(-)

commit 2407f37ea683d8056e235980f22dd4856bcec414
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Sat Sep 8 13:05:02 2018 +0000

    Update Friulian translation

 po/fur.po | 181 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------
 1 file changed, 89 insertions(+), 92 deletions(-)

commit 9341bccbdcc9bb9ac551ce296bea3da76865659a
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:   Sat Sep 8 08:34:51 2018 +0000

    Update Greek translation

 po/el.po | 1511 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 752 insertions(+), 759 deletions(-)

commit d99f428b837561757f6d546bf24b2578c5b9862e
Author: Yuras Shumovich <shumovichy@gmail.com>
Date:   Thu Sep 6 13:08:17 2018 +0000

    Update Belarusian translation

 po/be.po | 40 +++++++++++++++++++---------------------
 1 file changed, 19 insertions(+), 21 deletions(-)

commit dd2e05a712876f7f524e1a028c439af24b4b7b79
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Sep 2 21:39:52 2018 +0200

    Updated Danish translation

 po/da.po | 52 +++++++++++++++++++++++-----------------------------
 1 file changed, 23 insertions(+), 29 deletions(-)

commit 1201cdfdb1a67945b6fde1c0754a752cb8cdc21e
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Sep 2 16:04:59 2018 +0000

    Update Latvian translation

 po/lv.po | 1526 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 767 insertions(+), 759 deletions(-)

commit 750c252f5bc070b0f6fb6c16a085446b837d9d61
Author: Çağatay Yiğit Şahin <cyigitsahin@outlook.com>
Date:   Fri Aug 31 11:20:33 2018 +0000

    Update Turkish translation

 po/tr.po | 173 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------
 1 file changed, 82 insertions(+), 91 deletions(-)

commit ddcbbabccbc381e3951ceeed1190900c79380a36
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Wed Aug 29 22:23:42 2018 +0000

    Update Galician translation

 po/gl.po | 1519 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 764 insertions(+), 755 deletions(-)

commit 630237f6974a4ab73f0fa8435667048389242941
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Sun Aug 26 16:52:05 2018 +0000

    Update Turkish translation

 po/tr.po | 84 ++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------
 1 file changed, 48 insertions(+), 36 deletions(-)

commit 824596bd3f7384d86a8dc68899dfb44ec520ed43
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Aug 25 17:35:14 2018 +0000

    Update Kazakh translation

 po/kk.po | 56 ++++++++++++++++++++++++++++++--------------------------
 1 file changed, 30 insertions(+), 26 deletions(-)

commit ca376e77aebb0811f5ba9613e1dfbf8a570a9c2b
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Sun Aug 19 15:54:38 2018 +0000

    Update British English translation

 po/en_GB.po | 104 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------
 1 file changed, 61 insertions(+), 43 deletions(-)

commit c22bcde0acd500e321050e95127ce31902a9795c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 16 19:51:34 2018 +0200

    Update MSGID_BUGS_ADDRESS in po/Makevars

 po/Makevars | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d7eb4245a9e563066dd04ada36e1f6703e12a9da
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Jul 27 22:01:53 2018 +0300

    Updated Lithuanian translation

 po/lt.po | 1519 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 764 insertions(+), 755 deletions(-)

commit b3d5dcab85937e1a068d20c2ec23bcce00088fac
Author: Charles Monzat <charles.monzat@numericable.fr>
Date:   Fri Jul 20 07:54:56 2018 +0000

    Update French translation

 po/fr.po | 1988 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 1000 insertions(+), 988 deletions(-)

commit ac5ca32e758f8d9dcd74ff2a487dd9ffce2621e8
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Jul 19 06:41:22 2018 +0000

    Update Italian translation

 po/it.po | 1508 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 751 insertions(+), 757 deletions(-)

commit b879e295a9dcf7e626974ccf82f74ebcb1c8bd92
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Jul 11 21:35:33 2018 +0200

    Added Slovenian translation

 po/sl.po | 1518 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 755 insertions(+), 763 deletions(-)

commit 0809e7b4c0c2db46a99749a9dff8ae5ef3549dbd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 11 00:20:55 2018 +0100

    meson: Add more Requires to pkg-config files
    
    Meson-generated pkg-config files are seeded from the shared library
    object, but that will use the Requires.private field for the library
    dependencies.
    
    Since Clutter exposes types from other libraries, the dependencies
    should go into the Requires field, to avoid under-linking of dependent
    projects. Additionally, per-backend pkg-config files should have their
    own dependencies expressed into the Requires field, if they expose types
    from those dependencies in the public API.

 clutter/meson.build | 57 +++++++++++++++++++++++++++++++++++++++------------------
 meson.build         |  1 -
 2 files changed, 39 insertions(+), 19 deletions(-)

commit fe9131ade5a6a38cfe950f3b636f4fea8a1c78e1
Author: Balázs Meskó <meskobalazs@fedoraproject.org>
Date:   Sun Jul 8 08:24:22 2018 +0000

    Update Hungarian translation

 po/hu.po | 57 ++++++++++++++++++++++++++++++---------------------------
 1 file changed, 30 insertions(+), 27 deletions(-)

commit 1a27be213586d1054d5d275adcbf27b91f932a35
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Jul 8 09:14:13 2018 +0200

    Update Catalan translation

 po/ca.po | 35 +++++++++++++++++------------------
 1 file changed, 17 insertions(+), 18 deletions(-)

commit 1c94b39864049ae378d57199a40c0735c12cb15d
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Sun Jul 1 14:09:10 2018 +0000

    Update Romanian translation

 po/ro.po | 60 +++++++++++++++++++++++++++++-------------------------------
 1 file changed, 29 insertions(+), 31 deletions(-)

commit a6da4a1e692cf018108d163037e968ab0a369d1c
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Fri Jun 29 13:54:51 2018 +0000

    Update Friulian translation

 po/fur.po | 122 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------
 1 file changed, 63 insertions(+), 59 deletions(-)

commit 21b68691a9471b3c50069b5df68fa07103110c18
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Sat Jun 23 09:48:32 2018 +0000

    Update German translation

 po/de.po | 1665 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 1 file changed, 894 insertions(+), 771 deletions(-)

commit 2f01a9723106e73c29c40c6f9ba095528f850040
Author: Andika Triwidada <atriwidada@gnome.org>
Date:   Sat Jun 23 03:08:01 2018 +0000

    Update Indonesian translation

 po/id.po | 43 +++++++++++++++++++++----------------------
 1 file changed, 21 insertions(+), 22 deletions(-)

commit dd60434cae7b1f5d31fe83f26b99037c699d6412
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Jun 21 19:49:44 2018 +0000

    Update Swedish translation

 po/sv.po | 1506 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 750 insertions(+), 756 deletions(-)

commit da03edd13086d72e0a0b7bb6cec3fafbe926b9f6
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Tue Jun 19 12:37:13 2018 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 1551 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 773 insertions(+), 778 deletions(-)

commit 401ea544c9eff650cd64e581ebe3026ad5e1b474
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 18 22:01:35 2018 +0100

    build: Fix soname when building with Meson
    
    The soname needs to be compatible with libtool and gobject-introspection.

 clutter/meson.build | 2 +-
 meson.build         | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit d78670077e0d3165075725b85cc726f166f4511e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 18 18:54:25 2018 +0100

    docs: Move contribution guide to the top-level directory
    
    That's where GitLab expects it.

 doc/CONTRIBUTING.md => CONTRIBUTING.md | 0
 Makefile.am                            | 1 +
 doc/Makefile.am                        | 1 -
 3 files changed, 1 insertion(+), 1 deletion(-)

commit c4c5438e7a0819c08e3065db69916a9834a90cc1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 18 18:25:14 2018 +0100

    build: Install autocleanups header
    
    We need to install it with Meson as well as Autotools.

 clutter/meson.build | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 8aa933d1c1f26b6bd292e0c9c90ec7ac0ffeaaf9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Jun 18 16:50:37 2018 +0200

    Update Polish translation

 po/pl.po | 62 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 33 insertions(+), 29 deletions(-)

commit b94b189761ce4db2fafed3191e44d64859dd6ec0
Author: Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
Date:   Mon Jun 18 13:34:55 2018 +0200

    Updated Spanish translation

 po/es.po | 1527 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 767 insertions(+), 760 deletions(-)

commit 6e5ced8556c3b8b0da60851a3b0d1ad240d83643
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Mon Jun 18 10:24:09 2018 +0200

    Updated Czech translation

 po/cs.po | 1506 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 751 insertions(+), 755 deletions(-)

commit 0b53234dc383ccde72c4070149debe7716cd6acc
Author: Yi-Jyun Pan <pan93412@gmail.com>
Date:   Mon Jun 18 02:51:25 2018 +0000

    Update Chinese (Taiwan) translation

 po/zh_TW.po | 1504 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 749 insertions(+), 755 deletions(-)

commit 50412a4fd6f0ff40555b67021a25d959400855b5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 18 02:03:01 2018 +0100

    docs: Remove unused color definitions
    
    The color variables in some cookbook examples are unused, and the
    compiler is complaining.

 doc/cookbook/examples/layouts-bind-constraint-stage.c | 1 -
 doc/cookbook/examples/layouts-box.c                   | 4 ----
 2 files changed, 5 deletions(-)

commit 61f4dc4bc9b766ef443cb82259f66ccccaff419f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 18 02:00:28 2018 +0100

    docs: Handle smooth scrolling in cookbook example
    
    We're missing the CLUTTER_SCROLL_SMOOTH case in the switch over the
    scroll direction, and the compiler complains about it.

 doc/cookbook/examples/events-mouse-scroll.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 2372413139a27d06f528dcc431501515c4befb55
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 18 01:29:21 2018 +0100

    build: Install public headers
    
    Whoopsie, we're missing installing the headers with Meson.

 clutter/meson.build | 5 +++++
 1 file changed, 5 insertions(+)

commit fde86351b4f62677789af9d0649ba50efa3ced9d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 18 01:20:18 2018 +0100

    build: Compile and install the cookbook examples
    
    We must build the examples and install their sources with the Meson
    build as well as the Autotools one.

 doc/cookbook/examples/meson.build | 84 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 doc/cookbook/meson.build          |  2 ++
 meson.build                       |  1 +
 3 files changed, 87 insertions(+)

commit 6d65aeb1f40e3ed06b65e1e67c8ba103666ac27b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 18 01:19:36 2018 +0100

    build: Add missing files
    
    Fix distcheck with the Autotools build.

 Makefile.am              |   1 +
 doc/cookbook/Makefile.am | 100 +++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------
 tests/Makefile.am        |   2 +-
 3 files changed, 55 insertions(+), 48 deletions(-)

commit b3dcad5673ebbebc0e33bcbf53120ca3f497708c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 18 00:25:08 2018 +0100

    docs: Fix the entity name
    
    The gtk-doc entities are in lower case, not upper case.

 doc/reference/clutter-docs.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8805615850b3668f005c1718ca589fea76a73406
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 17 21:26:14 2018 +0100

    Add po/LINGUAS
    
    We use AS_ALL_LINGUAS for Autotools builds, but with Meson we need a
    LINGUAS file.

 po/LINGUAS | 65 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

commit 70e5fff3db8cc7788e5fb867a5fbae53c9ee04ce
Merge: ad0bc0b2b 303d2a556
Author: Emmanuele Bassi <ebassi@gmail.com>
Date:   Sun Jun 17 20:10:34 2018 +0000

    Merge branch 'wip/piotrdrag/unicode-typography' into 'master'
    
    Use Unicode in translatable strings
    
    See merge request GNOME/clutter!1

commit ad0bc0b2b0dd110a3098469382c5c5e0e5f037e1
Merge: ef41a8bc9 7943a099f
Author: Emmanuele Bassi <ebassi@gmail.com>
Date:   Sun Jun 17 20:00:07 2018 +0000

    Merge branch 'wip/meson' into 'master'
    
    Add Meson build
    
    See merge request GNOME/clutter!2

commit 7943a099f394863198fd6ae0cc5e873ea8e52a19
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 17 20:34:25 2018 +0100

    tests: Disable actor-shader-effect
    
    Fails on Docker when running Xvfb, likely because of some missing GL
    capabilities.

 tests/conform/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d65cdd42cb89fa794a010219e05def0df7b6d95d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 17 20:32:37 2018 +0100

    Add CI infrastructure for Clutter
    
    We should use GitLab's CI runner and Docker registry to build Clutter
    and test it.

 .gitlab-ci.yml            | 20 ++++++++++++++++++++
 .gitlab-ci/Dockerfile     | 69 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 .gitlab-ci/run-docker.sh  | 11 +++++++++++
 .gitlab-ci/test-docker.sh | 27 +++++++++++++++++++++++++++
 4 files changed, 127 insertions(+)

commit 8857547b47c3918c5177c8a5adab61527fc61401
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 17 19:34:03 2018 +0100

    build: Generate all pkgconfig files
    
    Clutter has various additional pkgconfig files for things like backends
    and Cally; we need to generate them all.

 clutter/meson.build | 53 +++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 49 insertions(+), 4 deletions(-)

commit e0fe839dcf4b320897fee95ab5f111cd488c87ba
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 17 19:19:28 2018 +0100

    build: Add the Meson files to the Autotools dist
    
    We should allow to build Clutter with Meson even when using dist
    tarballs generated by Autotools.

 Makefile.am | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 9d616b6773a106c886ba0c289b710b3bd00b5d3f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 17 19:13:22 2018 +0100

    docs: Move to Markdown
    
    The various documentation files are already in formatted in a
    Markdown-like fashion, so let's make it official.

 Makefile.am                            |    5 +-
 README.in                              | 1323 -----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 README.md                              |   29 ++---
 configure.ac                           |    1 -
 doc/BACKENDS.md                        |  208 ++++++++++++++++++++++++++++++
 doc/{CODING_STYLE => CODING_STYLE.txt} |    0
 doc/{HACKING => CONTRIBUTING.md}       |   58 +++++----
 doc/HACKING.backends                   |  207 ------------------------------
 doc/Makefile.am                        |    6 +-
 doc/{RELEASING => RELEASING.md}        |    0
 10 files changed, 255 insertions(+), 1582 deletions(-)

commit bb4444ccf12f6b78747852e97a8b15e8e558c21b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 17 18:27:34 2018 +0100

    docs: Update the links for Clutter resources
    
    We moved to GitLab.

 README.md    | 97 +++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------
 clutter.doap |  6 +++---
 2 files changed, 52 insertions(+), 51 deletions(-)

commit 369de5f42e70118fac27ea3ef66f4fb3b16b6746
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 17 18:16:29 2018 +0100

    meson: Add conformance test suite
    
    Require that we're running under the X11 backend, as it the test suite
    breaks under Wayland.

 tests/Makefile.am                                |  5 ++++-
 tests/accessibility/meson.build                  |  0
 tests/{clutter-1.0.suppressions => clutter.supp} |  0
 tests/conform/meson.build                        | 94 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/conform/script-parser.c                    |  3 +++
 tests/conform/test.data.in                       |  3 +++
 tests/interactive/meson.build                    |  0
 tests/meson.build                                | 11 +++++++++++
 tests/micro-bench/meson.build                    |  0
 tests/performance/meson.build                    |  0
 10 files changed, 115 insertions(+), 1 deletion(-)

commit 1f9ab173131861799ff0912dd8fbbff294186e66
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 17 16:50:29 2018 +0100

    Cast the g_object_ref() return value
    
    GObject started performing type checks on generic gpointer API to avoid
    hard to chase bugs.

 examples/threads.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c9c7397b350e626f368ee610f1f7d5d33408808d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 17 16:46:26 2018 +0100

    meson: Add rules for generating the documentation
    
    Both the API reference and the Cookbook.
    
    This requires a little bit of surgery on the Autotools build as well,
    namely that we need to stop generating the main gtk-doc XML file from
    a template at configuration time; we should, instead, generate and
    include a gtkdocentities.ent file both for the Meson build (where we
    generate the file ourselves) and for the Autotools build (where
    gtk-doc.make does it for us).

 clutter/clutter-types.h                                 |   2 +-
 clutter/meson.build                                     |  14 +++++++++-
 configure.ac                                            |   1 -
 doc/cookbook/meson.build                                |  65 +++++++++++++++++++++++++++++++++++++++++++++++
 doc/meson.build                                         |   2 ++
 doc/reference/{clutter-docs.xml.in => clutter-docs.xml} |  12 +++++----
 doc/reference/meson.build                               | 244 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 doc/reference/xml/gtkdocentities.ent.in                 |   8 ++++++
 doc/reference/xml/meson.build                           |  15 +++++++++++
 9 files changed, 355 insertions(+), 8 deletions(-)

commit 5c27fc3eb6e146a255984c806e1b4c252aa590c5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri May 4 11:49:35 2018 +0100

    Move all cookbook files under the same directory
    
    We split them for some reasons under the common and cookbook
    directories, but it's completely pointless: the XSLT and CSS style
    sheets are only used by the cookbook.

 configure.ac                                |  1 -
 doc/Makefile.am                             |  4 ++--
 doc/common/Makefile.am                      | 10 ----------
 doc/cookbook/Makefile.am                    |  3 +--
 doc/{common => cookbook}/common.xsl         |  0
 doc/{common => cookbook}/cookbook.xsl       |  0
 doc/{common => cookbook}/devhelp.xsl        |  0
 doc/{common => cookbook}/html.xsl           |  0
 doc/{common => cookbook}/ref-html-style.xsl |  0
 doc/{common => cookbook}/style.css          |  0
 10 files changed, 3 insertions(+), 15 deletions(-)

commit e58d52c081b9c6246133df0bafdd0409ba2b4f79
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Apr 10 12:19:42 2018 +0100

    Rename build directory to build-aux
    
    Having a 'build' directory makes is a bit awkward for tools packaging
    Clutter, and the rapidly coalescing consensus on the GNOME platform,
    pushed by the port to Meson, is to call the directory for ancillary
    build files 'build-aux'.

 .gitignore                                                                         | 12 ++++++------
 Makefile.am                                                                        | 12 ++++++------
 {build => build-aux}/Makefile.am                                                   |  0
 {build => build-aux}/autotools/.gitignore                                          |  0
 {build => build-aux}/autotools/Makefile.am                                         |  0
 {build => build-aux}/autotools/Makefile.am.changelog                               |  2 +-
 {build => build-aux}/autotools/Makefile.am.enums                                   |  0
 {build => build-aux}/autotools/Makefile.am.gitignore                               |  0
 {build => build-aux}/autotools/Makefile.am.marshal                                 |  0
 {build => build-aux}/autotools/Makefile.am.release                                 |  6 +++---
 {build => build-aux}/autotools/Makefile.am.silent                                  |  0
 {build => build-aux}/autotools/as-compiler-flag.m4                                 |  0
 {build => build-aux}/autotools/as-linguas.m4                                       |  0
 {build => build-aux}/autotools/glib-tap.mk                                         |  4 ++--
 {build => build-aux}/autotools/glibtests.m4                                        |  0
 {build => build-aux}/autotools/introspection.m4                                    |  0
 {build => build-aux}/autotools/tap-driver.sh                                       |  0
 {build => build-aux}/autotools/tap-test                                            |  0
 {build => build-aux}/clutter-build-setup.sh                                        |  0
 {build => build-aux}/clutter-uncrustify.cfg                                        |  0
 {build => build-aux}/clutter.modules                                               |  0
 {build => build-aux}/gen-changelog.pl                                              |  0
 {build => build-aux}/jhbuildrc-clutter                                             |  2 +-
 {build => build-aux}/jhbuildrc-custom-example                                      |  0
 {build => build-aux}/mingw/Makefile.am                                             |  0
 {build => build-aux}/mingw/README                                                  |  0
 {build => build-aux}/mingw/mingw-fetch-dependencies.sh                             |  0
 {build => build-aux}/win32/.gitignore                                              |  0
 {build => build-aux}/win32/Makefile.am                                             |  0
 {build => build-aux}/win32/vs10/Makefile.am                                        |  0
 {build => build-aux}/win32/vs10/README.txt                                         |  9 +++++----
 {build => build-aux}/win32/vs10/cally-atkcomponent-example.vcxproj                 |  0
 {build => build-aux}/win32/vs10/cally-atkcomponent-example.vcxproj.filters         |  0
 {build => build-aux}/win32/vs10/cally-atkeditabletext-example.vcxproj              |  0
 {build => build-aux}/win32/vs10/cally-atkeditabletext-example.vcxproj.filters      |  0
 {build => build-aux}/win32/vs10/cally-atkevents-example.vcxproj                    |  0
 {build => build-aux}/win32/vs10/cally-atkevents-example.vcxproj.filters            |  0
 {build => build-aux}/win32/vs10/cally-atktext-example.vcxproj                      |  0
 {build => build-aux}/win32/vs10/cally-atktext-example.vcxproj.filters              |  0
 {build => build-aux}/win32/vs10/cally-clone-example.vcxproj                        |  0
 {build => build-aux}/win32/vs10/cally-clone-example.vcxproj.filters                |  0
 {build => build-aux}/win32/vs10/clutter-build-defines.props                        |  0
 {build => build-aux}/win32/vs10/clutter-gen-srcs.props                             |  0
 {build => build-aux}/win32/vs10/clutter-install.props                              |  0
 {build => build-aux}/win32/vs10/clutter-install.vcxproj                            |  0
 {build => build-aux}/win32/vs10/clutter-version-paths.props                        |  0
 {build => build-aux}/win32/vs10/clutter.sln                                        |  0
 {build => build-aux}/win32/vs10/clutter.vcxproj.filtersin                          |  0
 {build => build-aux}/win32/vs10/clutter.vcxprojin                                  |  0
 {build => build-aux}/win32/vs10/test-cogl-perf.vcxproj                             |  0
 {build => build-aux}/win32/vs10/test-cogl-perf.vcxproj.filters                     |  0
 {build => build-aux}/win32/vs10/test-interactive-clutter.vcxproj.filtersin         |  0
 {build => build-aux}/win32/vs10/test-interactive-clutter.vcxprojin                 |  0
 {build => build-aux}/win32/vs10/test-picking-performance.vcxproj                   |  0
 {build => build-aux}/win32/vs10/test-picking-performance.vcxproj.filters           |  0
 {build => build-aux}/win32/vs10/test-picking.vcxproj                               |  0
 {build => build-aux}/win32/vs10/test-picking.vcxproj.filters                       |  0
 {build => build-aux}/win32/vs10/test-random-text.vcxproj                           |  0
 {build => build-aux}/win32/vs10/test-random-text.vcxproj.filters                   |  0
 {build => build-aux}/win32/vs10/test-state-hidden-performance.vcxproj              |  0
 {build => build-aux}/win32/vs10/test-state-hidden-performance.vcxproj.filters      |  0
 {build => build-aux}/win32/vs10/test-state-interactive-performance.vcxproj         |  0
 {build => build-aux}/win32/vs10/test-state-interactive-performance.vcxproj.filters |  0
 {build => build-aux}/win32/vs10/test-state-mini-performance.vcxproj                |  0
 {build => build-aux}/win32/vs10/test-state-mini-performance.vcxproj.filters        |  0
 {build => build-aux}/win32/vs10/test-state-performance.vcxproj                     |  0
 {build => build-aux}/win32/vs10/test-state-performance.vcxproj.filters             |  0
 {build => build-aux}/win32/vs10/test-state-pick-performance.vcxproj                |  0
 {build => build-aux}/win32/vs10/test-state-pick-performance.vcxproj.filters        |  0
 {build => build-aux}/win32/vs10/test-text-perf-performance.vcxproj                 |  0
 {build => build-aux}/win32/vs10/test-text-perf-performance.vcxproj.filters         |  0
 {build => build-aux}/win32/vs10/test-text-perf.vcxproj                             |  0
 {build => build-aux}/win32/vs10/test-text-perf.vcxproj.filters                     |  0
 {build => build-aux}/win32/vs10/test-text.vcxproj                                  |  0
 {build => build-aux}/win32/vs10/test-text.vcxproj.filters                          |  0
 {build => build-aux}/win32/vs9/Makefile.am                                         |  0
 {build => build-aux}/win32/vs9/README.txt                                          |  9 +++++----
 {build => build-aux}/win32/vs9/cally-atkcomponent-example.vcproj                   |  0
 {build => build-aux}/win32/vs9/cally-atkeditabletext-example.vcproj                |  0
 {build => build-aux}/win32/vs9/cally-atkevents-example.vcproj                      |  0
 {build => build-aux}/win32/vs9/cally-atktext-example.vcproj                        |  0
 {build => build-aux}/win32/vs9/cally-clone-example.vcproj                          |  0
 {build => build-aux}/win32/vs9/clutter-build-defines.vsprops                       |  0
 {build => build-aux}/win32/vs9/clutter-gen-srcs.vsprops                            |  0
 {build => build-aux}/win32/vs9/clutter-install.vcproj                              |  0
 {build => build-aux}/win32/vs9/clutter-install.vsprops                             |  0
 {build => build-aux}/win32/vs9/clutter-version-paths.vsprops                       |  0
 {build => build-aux}/win32/vs9/clutter.sln                                         |  0
 {build => build-aux}/win32/vs9/clutter.vcprojin                                    |  0
 {build => build-aux}/win32/vs9/test-cogl-perf.vcproj                               |  0
 {build => build-aux}/win32/vs9/test-interactive-clutter.vcprojin                   |  0
 {build => build-aux}/win32/vs9/test-picking-performance.vcproj                     |  0
 {build => build-aux}/win32/vs9/test-picking.vcproj                                 |  0
 {build => build-aux}/win32/vs9/test-random-text.vcproj                             |  0
 {build => build-aux}/win32/vs9/test-state-hidden-performance.vcproj                |  0
 {build => build-aux}/win32/vs9/test-state-interactive-performance.vcproj           |  0
 {build => build-aux}/win32/vs9/test-state-mini-performance.vcproj                  |  0
 {build => build-aux}/win32/vs9/test-state-performance.vcproj                       |  0
 {build => build-aux}/win32/vs9/test-state-pick-performance.vcproj                  |  0
 {build => build-aux}/win32/vs9/test-text-perf-performance.vcproj                   |  0
 {build => build-aux}/win32/vs9/test-text-perf.vcproj                               |  0
 {build => build-aux}/win32/vs9/test-text.vcproj                                    |  0
 clutter/Makefile.am                                                                | 24 ++++++++++++------------
 configure.ac                                                                       | 16 ++++++++--------
 doc/cookbook/Makefile.am                                                           |  2 +-
 doc/cookbook/examples/Makefile.am                                                  |  4 ++--
 examples/Makefile.am                                                               |  4 ++--
 tests/accessibility/Makefile.am                                                    |  4 ++--
 tests/conform/Makefile.am                                                          |  2 +-
 tests/interactive/Makefile.am                                                      | 46 +++++++++++++++++++++++-----------------------
 tests/micro-bench/Makefile.am                                                      |  4 ++--
 tests/performance/Makefile.am                                                      |  4 ++--
 112 files changed, 84 insertions(+), 82 deletions(-)

commit e900eb1d9ba53e85b72ef61ba7ebe4e1a52ff9eb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 20 12:50:30 2018 +0000

    gdk: Remove unused variable

 clutter/gdk/clutter-stage-gdk.c | 3 ---
 1 file changed, 3 deletions(-)

commit 5b1d5d82f4fbb3b04d7bf57a91c3e9f378e104f6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 20 12:49:50 2018 +0000

    gdk: Handle all GDK device types
    
    We cannot add new device types in Clutter, but we should handle all
    device types that GDK throws at us.

 clutter/gdk/clutter-input-device-gdk.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 278513d6b99b74df1c996882279564dc7eebd952
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 20 12:43:06 2018 +0000

    Ignore deprecation warning for g_object_newv()
    
    We're not going to move to g_object_new_with_properties(), at least for
    the time being.

 clutter/clutter-script-parser.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4c06e443052a73b0fd3a630bfbe1208b7aea26d1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 20 12:41:59 2018 +0000

    Drop duplicate const specifier
    
    And silence a compiler warning.

 clutter/clutter-color.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 979e4b9c9a6584985eef30640678a46d9022f9b7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 20 12:33:06 2018 +0000

    Update the clutter-config header template
    
    Move the single include guard after the include guard, and turn the
    latter into a 'once' pragma while we're at it.

 clutter/clutter-config.h.in | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit aee9618bb881cc44f889bda35450cd57cdda28a0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 20 12:31:07 2018 +0000

    Clean up the generated enumeration type template
    
    Use the 'once' pragma, and ensure that we don't mess us reproducible
    builds by including full paths to file names.

 clutter/clutter-enum-types.h.in | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit d890696d3fafdb1ed47f08e893e5c037481b1a7a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 20 12:30:35 2018 +0000

    Initial port to Meson
    
    Even if Clutter is an old project, it does not mean it shouldn't receive
    some build system love.

 clutter/cex100/meson.build |   8 +++
 clutter/meson.build        | 741 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 doc/meson.build            |   0
 doc/reference/meson.build  |   0
 examples/meson.build       |  41 ++++++++++++
 meson.build                | 172 ++++++++++++++++++++++++++++++++++++++++++++++++
 meson_options.txt          |  32 +++++++++
 po/meson.build             |   6 ++
 tests/meson.build          |   0
 9 files changed, 1000 insertions(+)

commit 303d2a556e18d78d41f8e8d5bf5f6f4d5eb85f6d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Sep 30 00:25:12 2016 +0200

    Use Unicode in translatable strings
    
    See https://developer.gnome.org/hig/stable/typography.html
    
    https://bugzilla.gnome.org/show_bug.cgi?id=772213

 clutter/clutter-actor.c   | 24 ++++++++++++------------
 clutter/clutter-backend.c |  2 +-
 clutter/clutter-main.c    |  2 +-
 clutter/clutter-text.c    |  2 +-
 4 files changed, 15 insertions(+), 15 deletions(-)

commit ef41a8bc97c381849703814ad4e438bfbdb8df94
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Fri May 11 08:06:14 2018 +0000

    Update Romanian translation

 po/ro.po | 2415 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------
 1 file changed, 1522 insertions(+), 893 deletions(-)

commit 95fb4638dba68d8bc3db9c875070d3143c038167
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Mon Mar 12 11:54:27 2018 +0000

    Update Turkish translation

 po/tr.po | 51 ++++++++++-----------------------------------------
 1 file changed, 10 insertions(+), 41 deletions(-)

commit e47cea101618f5130a485100715086ad2a241d74
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue Feb 27 17:02:36 2018 +0000

    Update Friulian translation

 po/fur.po | 210 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------
 1 file changed, 107 insertions(+), 103 deletions(-)

commit 7a46910bc92b06f0a8d8016e142c605c3fe8538a
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Sat Jan 20 17:30:57 2018 +0800

    configure: Don't declare functions in AC_TRY_LINK and AC_TRY_COMPILE
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792716

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2e81dadc14a5c832440eb6868000f2d17a1e0f53
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Dec 23 20:42:17 2017 +0000

    Update Esperanto translation

 po/eo.po | 2741 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------
 1 file changed, 1747 insertions(+), 994 deletions(-)

commit 06487179f5b823a0dfb78a9ae20c4d2bb3e4b09a
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Dec 3 17:35:27 2017 +0000

    Update Turkish translation

 po/tr.po | 72 ++++++++++++++++++++++++------------------------------------------------
 1 file changed, 24 insertions(+), 48 deletions(-)

commit 18edc8a08b770cd58bc812f965314a32020e947a
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Nov 26 19:55:01 2017 +0000

    Update Turkish translation

 po/tr.po | 22 +++++++---------------
 1 file changed, 7 insertions(+), 15 deletions(-)

commit fb7e4e633bd90e1f85f78c1c86a437530928ec23
Author: Furkan Tokaç <developmentft@gmail.com>
Date:   Sun Nov 12 20:23:38 2017 +0000

    Update Turkish translation

 po/tr.po | 1625 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 814 insertions(+), 811 deletions(-)

commit 5572cf222de76fd82737c7e2e8daf9c96b7247b2
Author: Xavi Ivars <xavi.ivars@gmail.com>
Date:   Thu Oct 5 13:33:39 2017 +0200

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 1695 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 1 file changed, 854 insertions(+), 841 deletions(-)

commit 428f538626c2de847df24b214fc64edf72494dc4
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Sep 10 08:41:22 2017 +0200

    Fixes to Catalan translation

 po/ca.po | 1486 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 740 insertions(+), 746 deletions(-)

commit d3f371eada2018488a41afa40d8fb2f43982f9ec
Author: Pawan Chitrakar <chautari@gmail.com>
Date:   Fri Sep 1 11:05:46 2017 +0000

    Update Nepali translation

 po/ne.po | 580 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------------------
 1 file changed, 262 insertions(+), 318 deletions(-)

commit 29b6c875cf0e68a4db9fd1387122964d76215682
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Aug 26 16:25:33 2017 +0200

    Updated Danish translation

 po/da.po | 1488 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 743 insertions(+), 745 deletions(-)

commit ed80482f88c50d81ef246dfcea17e933a1fadf0b
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Mar 25 17:35:12 2017 +0100

    Updated Danish translation

 po/da.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8c799eba5fe84258b902c2974dd4c6a7847b732e
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Aug 24 02:15:40 2017 +0000

    Update Friulian translation

 po/fur.po | 74 +++++++++++++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 39 insertions(+), 35 deletions(-)

commit 35e39750ec13b8588d4e352b5a7e05c7703f3df3
Author: Anish Sheela <aneesh.nl@gmail.com>
Date:   Sun Aug 20 20:10:37 2017 +0000

    Update Malayalam translation

 po/ml.po | 1703 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 883 insertions(+), 820 deletions(-)

commit b99fddfad1f7915cf43550e85ca3d10450000bee
Author: Andika Triwidada <atriwidada@gnome.org>
Date:   Fri Aug 18 05:10:50 2017 +0000

    Update Indonesian translation

 po/id.po | 1490 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 742 insertions(+), 748 deletions(-)

commit 66243ea57052aeada0a20f524a934bea0d0cc2d5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 8 11:20:02 2017 +0100

    Bump up the GLib requirement
    
    We are using a newer glib-genmarshal, so we should be using a newer
    GLib as well.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit afc3ca9b2b1c6c1671b4a79777267d9d9a7e1621
Author: Justin Kim <justin.kim@collabora.com>
Date:   Mon Jul 18 16:39:50 2016 +0900

    docs: Fix typo in Environment Variables (gsk->gdk)

 doc/reference/running-clutter.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 87e011651f8f76271bbf9ebe2058310e6171901c
Author: Pawan Chitrakar <chautari@gmail.com>
Date:   Wed Jul 26 07:22:22 2017 +0000

    Add Nepali translation

 po/ne.po | 3102 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 3102 insertions(+)

commit 7d499a09e1ef7dae0f3e9be774f3be25e2aa76ff
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 11 11:32:18 2017 +0100

    build: Use newer glib-genmarshal argument
    
    When using glib-genmarshal from GLib 2.54, we can use the newly added
    `--prototypes` command line argument to generate the prototypes of the
    marshallers in the C source, and void a missing-prototypes compiler
    warning.

 build/autotools/Makefile.am.marshal | 3 +++
 1 file changed, 3 insertions(+)

commit 01f95422b9caeb853bb9b91b5fede76fa317d0cb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri May 12 11:39:18 2017 +0100

    Post-release version bump to 1.26.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2faa83baf3ce9b9c94635311ad79944ab2a73c84
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri May 12 11:29:01 2017 +0100

    Release Clutter 1.26.2

 NEWS         | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 48 insertions(+), 1 deletion(-)

commit b08fe46874271b834cbfb1f62ce32461b16a68ab
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri May 12 11:00:44 2017 +0100

    build: Bind interface age to minor and micro version
    
    Instead of requiring to manually update the interface age, we can simply
    check for the minor version, and either set it to 0 for development
    releases, or set it to the micro version for stable one. We don't do API
    additions in micro releases anyway.

 configure.ac | 24 +++++-------------------
 1 file changed, 5 insertions(+), 19 deletions(-)

commit 03c7b026685effb897aced7db4bbef8705e21338
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Tue May 9 14:58:50 2017 +0200

    gdk: stage: destroy and clear subsurface on unrealize()
    
    When using a gdk subsurface, destroy it on clutter_stage_gdk_unrealize()
    to avoid keeping around an old existing subsurface pointing to a parent
    surface which might be gone.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=781975

 clutter/gdk/clutter-stage-gdk.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 9196768696abcaabcbf38dd94b91e5be34a55d6d
Author: Nigel Taylor <nigel@openbsd.org>
Date:   Fri May 5 08:42:47 2017 -0400

    conform/actor-graph: Add missing null-termination
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759085

 tests/conform/actor-graph.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f275967c8675cb908218806efdc848e91fb3d357
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed May 3 11:55:00 2017 +0100

    build: Stop including the generated marshaller header
    
    Newer versions of glib-genmarshal generate the function prototypes for
    us, so we don't need to include the generated header by injecting an
    "include" pre-processor directive when generating the body.

 build/autotools/Makefile.am.marshal | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit f318e93e228d8aabfb057492c9793f44a6a457b2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Apr 27 16:18:26 2017 +0200

    Update po/Makevars

 po/Makevars | 39 ++++++++++++++++++++++++++++++++++++++-
 1 file changed, 38 insertions(+), 1 deletion(-)

commit 9c4330b6ddbae230de8b25610e59af143e38b2ab
Author: Yuras Shumovich <shumovichy@gmail.com>
Date:   Sun Mar 26 16:18:36 2017 +0000

    Update Belarusian translation

 po/be.po | 1625 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 848 insertions(+), 777 deletions(-)

commit 19c48d6de00cb84dca09f452b6487768ae4ddb07
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Mar 13 07:32:17 2017 +0000

    Update Friulian translation

 po/fur.po | 221 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------------
 1 file changed, 114 insertions(+), 107 deletions(-)

commit eac930eff7021622a676aa2cf792ec321cb83e2d
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue Mar 7 21:51:31 2017 +0000

    Add Friulian translation

 po/fur.po | 2800 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2800 insertions(+)

commit c6a5ef3fbaabf0e99a9f8b0edc1227238f88e5fc
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Feb 14 08:22:11 2017 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 1679 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 829 insertions(+), 850 deletions(-)

commit c9f9157e2322425c96a3bfec8e7170841ca6b1a1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jan 26 04:33:04 2017 +0100

    Fix a translator comment
    
    They need to be exactly one line above a string to show up in .po files.

 clutter/deprecated/clutter-shader.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8076b09677a64ad0f5026faaf9b26b2dadd2f0e0
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Thu Jan 5 09:04:04 2017 +0100

    build: Bump gdk version requirement
    
    gtk+-3.22.6 includes all the fixes required to use gdk subsurfaces under
    Wayland, bump the minimal required version to this new version.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=774546

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ffa7aa95d8ec62efbbc20e5aacc29d52555f3145
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Wed Nov 16 15:31:28 2016 +0100

    gdk: stage: Use gdk for the Wayland subsurface
    
    GDK has all the bits required to deal with the subsurface, by using the
    GDK Wayland API instead of the Wayland API directly, we can save a few
    lines of code.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=774546

 clutter/gdk/clutter-stage-gdk.c | 137 +++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------
 clutter/gdk/clutter-stage-gdk.h |   4 +---
 2 files changed, 50 insertions(+), 91 deletions(-)

commit 55093e304ec0c8cdc287ed933f4d78ca6eea5e07
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Feb 29 19:50:43 2016 +0100

    backend: check for wayland before x11
    
    this way, clutter-gtk applications work fine on wayland
    without the need of exporting CLUTTER_BACKEND=wayland
    as gtk+ checks for wayland and x11 in the same order
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762888
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 clutter/clutter-backend.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c05dc54908d72c94511bc0c3c26aed1624840fe2
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Oct 4 16:48:17 2016 +0100

    clutter-script: Document support for top-level arrays
    
    Despite being a widely-used feature, it doesn’t seem to be obvious from
    the documentation that the top-level node in a ClutterScript JSON file
    can be an object, or an array of objects. Try to clarify that in the
    documentation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=772412

 clutter/clutter-script.c | 26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

commit 7ab085c0864a0607bf602a48afa6f12e562c965f
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Sun Sep 25 09:05:21 2016 +0000

    Updated Hungarian translation

 po/hu.po | 1483 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 737 insertions(+), 746 deletions(-)

commit a1837ee5f3ed0c88aafc11d0e5a6b2aa53a5b65a
Author: gogo <trebelnik2@gmail.com>
Date:   Sat Sep 24 10:26:12 2016 +0000

    Added Croatian translation

 po/hr.po | 2454 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2454 insertions(+)

commit 79da526145de3033e01eb1de6d6ec712639a7ea5
Author: Peter Mráz <etkinator@gmail.com>
Date:   Wed Sep 21 11:17:42 2016 +0000

    Updated Slovak translation

 po/sk.po | 50 +++++++++++++++++++++++---------------------------
 1 file changed, 23 insertions(+), 27 deletions(-)

commit d4e38c4657a67688797e4a297de5c486a41c0c56
Author: David King <amigadave@amigadave.com>
Date:   Sun Sep 18 12:35:47 2016 +0200

    Update British English translation

 po/en_GB.po | 1630 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------
 1 file changed, 853 insertions(+), 777 deletions(-)

commit 301a14e3a08cdb04be937227d6532443dbf4face
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 12 19:00:48 2016 +0200

    Add more options to XGETTEXT_OPTIONS in po/Makevars

 po/Makevars | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4bfa70c9a5abdd6a9cf48a0c5701c3185df9c539
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sun Sep 11 13:37:16 2016 +0000

    Updated Kazakh translation

 po/kk.po | 1498 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 744 insertions(+), 754 deletions(-)

commit f00e71281f4900c20dfcb8d3d3d4b054dc9ae5e7
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Sep 10 14:27:05 2016 +0000

    Updated Slovak translation

 po/sk.po | 1616 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 807 insertions(+), 809 deletions(-)

commit 48c67647015634bfd4ac0d5a106050271759f38f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Sep 7 04:17:57 2016 +0200

    Updated Polish translation

 po/pl.po | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit ade7b4996adc88b2787d9be0257f2415aff6ee47
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Sat Sep 3 22:29:17 2016 -0400

    Fix typo in Spanish translation header

 po/es.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 363c3f8bf4196b4c94135bb0fcc0023d5eda261f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Aug 23 18:06:46 2016 +0100

    tests: Set locale in test-script.c
    
    So that if the translatable strings in test-script.json are ever
    translated in the .po files, they will appear translated in the test
    program.
    
    Note that for them to be translated in the .po files, they must first be
    extracted by gettext, which first needs to grow support for
    ClutterScript files.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770288

 tests/interactive/test-script.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 3de11d5a01884a56e431dafde0a31b3fc1d7ae5e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Aug 23 18:05:02 2016 +0100

    clutter-script: Add an example of translation in ClutterScript
    
    Document the ‘translatable’ key and friends.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770288

 clutter/clutter-script.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 21e9c814c76d7ff807e805bb8b29e4c5b1eefcf7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Aug 22 20:52:10 2016 +0200

    Updated Polish translation

 po/pl.po | 1563 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 775 insertions(+), 788 deletions(-)

commit ab547c3f9fe6d18244e0f0e56a871fb5f383f111
Author: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Date:   Tue Jul 26 12:38:22 2016 +0200

    canvas: fix checking twice for width > 0

 clutter/clutter-canvas.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 40bbab84ba08630415a04e1762de66cab7902e3d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Sun Jul 17 11:54:49 2016 +0100

    clutter: Fix typo in docs for ClutterActor::queue-relayout
    
    Signed-off-by: Philip Withnall <philip.withnall@collabora.co.uk>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768898

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6e7a169a12fc9dc0aaf1591b0758a3f92c0579c9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Jul 15 17:35:36 2016 +0200

    Add Language headers to po files
    
    Future versions of gettext will fail if this header is missing.

 po/as.po          | 2 +-
 po/az_IR.po       | 2 +-
 po/ca@valencia.po | 2 +-
 po/es.po          | 2 +-
 po/fi.po          | 1 +
 po/mk.po          | 1 +
 po/nb.po          | 2 +-
 po/sl.po          | 2 +-
 po/sr@latin.po    | 2 +-
 po/zh_HK.po       | 2 +-
 10 files changed, 10 insertions(+), 8 deletions(-)

commit d7372cc45347b92effd1bf2c0f60185a1e35ab27
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jul 12 14:48:58 2016 +0100

    actor: Clarify that add_effect() sinks floating references on the effect
    
    So if you want to reuse a ClutterEffect, make sure to
    g_object_ref_sink() it yourself first.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768734

 clutter/clutter-actor.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 9285a8522fbe1a4651c729a52de97dfff73dcf9b
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Wed Jun 29 17:03:46 2016 -0400

    Don't create the Cogl GLib source multiple times
    
    Since the check for backend->cogl_context was accidentally moved
    to clutter_backend_do_real_create_context, the Glib source that
    is created at the end of clutter_backend_do_create_context() is
    created and added each time create_context() is called, though
    create_context() is supposed to be idempotent.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768243

 clutter/clutter-backend.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 78bb07e6b80e4c5791669389587ec78eaaec6a3e
Author: Andika Triwidada <atriwidada@gnome.org>
Date:   Fri Jun 24 21:22:58 2016 +0000

    Updated Indonesian translation

 po/id.po | 530 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 265 insertions(+), 265 deletions(-)

commit 6d4cef25e14b9a8b4dfcb29d032686a793c365e7
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Mon May 30 18:50:48 2016 +0000

    Updated Occitan translation

 po/oc.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f12969fd5276cdcfeeb0a78b827405c975a11bc0
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Thu May 12 15:25:43 2016 +0200

    text: Bind <ctrl>A in addition to <ctrl>a
    
    The 'select-all' action is currently only bound to <ctrl>a, which makes
    it awkward to use when caps-lock is active, and is inconsistent with GTK+.
    Just accept both upper- and lower-case variants.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766326

 clutter/clutter-text.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 8af3e1ec0c2cd7a2f58c72b32706eafd4484e911
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Sun May 8 18:42:30 2016 +0000

    Updated Occitan translation

 po/oc.po | 450 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 227 insertions(+), 223 deletions(-)

commit c6e40de500534df321d2150229a16215054fce38
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 29 15:04:50 2016 +0100

    actor: Warn on adding/removing itself as a child
    
    ClutterActor should warn if a user tries to add or remove an actor to,
    and from, itself on the scene graph.
    
    Clutter will likely crash, or warn way down the line, but if we can make
    debugging simpler then we should.

 clutter/clutter-actor.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit c1818efb18edac10ef06f25e717f9591f44fd226
Author: Jeff Bai <jeffbai@aosc.xyz>
Date:   Sat Mar 26 15:27:25 2016 +0800

    update zh_CN translation

 po/zh_CN.po | 162 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------
 1 file changed, 81 insertions(+), 81 deletions(-)

commit 85183a14b7d9439c4df02d35b2732ce54a5ddac6
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Mar 23 17:05:22 2016 +0100

    Updated Basque language

 po/eu.po | 191 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------
 1 file changed, 96 insertions(+), 95 deletions(-)

commit a208fdd0b9684ddc587a3d719ce1f8afdda4a515
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Mon Mar 21 22:28:10 2016 +0100

    Updated Danish translation

 po/da.po | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 449b8ec9f5e185067950d3dc2e16549675718c0d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 21 14:34:48 2016 +0000

    Post-release version bump to 1.26.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3f1b0adb9dbdcb5767ef843bd735129955b503aa
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 21 14:24:59 2016 +0000

    Release Clutter 1.26.0

 NEWS         | 26 ++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 28 insertions(+), 2 deletions(-)

commit 8ea58124c7df60acf675c40c71ce1aca4bf1523c
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Mar 20 23:45:13 2016 +0100

    Updated Danish translation

 po/da.po | 546 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 270 insertions(+), 276 deletions(-)

commit 8d08ef12a53dc2fb4140bb33fc92c496fde96bfb
Author: Stas Solovey <whats_up@tut.by>
Date:   Fri Mar 4 21:44:34 2016 +0000

    Updated Russian translation

 po/ru.po | 514 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 256 insertions(+), 258 deletions(-)

commit 3d4a7cd4a4cf6d3e7a12f33dca000d45f71b4e9e
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Mar 3 22:09:59 2016 +0200

    Update Latvian translation

 po/lv.po | 523 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 260 insertions(+), 263 deletions(-)

commit 4ea63af3cd7b684d518c1ddc6281300e2b6077ab
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:   Tue Mar 1 23:27:20 2016 +0000

    Updated Greek translation

 po/el.po | 544 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 275 insertions(+), 269 deletions(-)

commit b93e70d306e952aaadcfe472596956e0b7af92a3
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Feb 28 16:41:33 2016 +0100

    Update Catalan translation

 po/ca.po | 33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)

commit e62a6376a50b975fcfbcf8e0ec6cef6f48f0e1df
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Feb 28 12:43:43 2016 +0000

    gdk: Disable deprecation warnings
    
    For the GDK backend We're using the GdkDeviceManager API, which maps to
    Clutter's own device manager API. GDK has now moved to a per-seat device
    management model, and deprecated the device manager singleton one.
    
    In order to avoid the deprecation warnings, we'd have to implement a
    model similar to the GDK one inside the generic Clutter API, but that
    would also require moving all the others backend to it, which is pretty
    pointless.
    
    Instead, we can disable deprecation warnings for the
    ClutterDeviceManager implementation inside the GDK backend.

 clutter/gdk/clutter-device-manager-gdk.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 2bbadcaa8905328c0df274be8997a4dcc46c6086
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Sat Feb 27 22:40:39 2016 +0000

    Added Occitan translation

 po/oc.po | 2880 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2880 insertions(+)

commit a99dd7555ba427fecded3811c9b40019b5384637
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 26 20:55:17 2016 +0800

    clutter/config.h.win32.in: Keep in sync with autotools builds
    
    This updates config.h.win32.in to be in-sync with the entries that are in
    the config.h.in that is generated by the autotools builds.  In particular,
    for Visual Studio builds, we default to enable all available drivers ("*").

 clutter/config.h.win32.in | 27 +++------------------------
 1 file changed, 3 insertions(+), 24 deletions(-)

commit 2b0ff2f2ba0af6f3baf094759c72615af9e5918f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Feb 23 15:12:57 2016 +0000

    cally: Avoid clone spamming state changes
    
    Clones may generate a temporary map/unmap on their source when painting;
    this, in turn, will generate unnecessary ATK state changes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756371

 clutter/cally/cally-actor.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit c867e9d941c08b3ef8de722784a4d013ef92bb59
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Feb 23 16:08:52 2016 +0000

    actor: Expand is_in_clone_paint() check
    
    The function should return true not only if the actor is being painted
    by a ClutterClone, but also if it's inside a sub-graph being painted by
    a ClutterClone.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756371

 clutter/clutter-actor.c | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 6240b1a228597d7068aae41d48ef4437f6450347
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:   Tue Feb 23 18:36:16 2016 +0000

    Updated Serbian translation

 po/sr.po | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 92716e771920fc7cf5fea22c449fa4c1151a013c
Author: Jordi Mas <jmas@softcatala.org>
Date:   Mon Feb 22 20:49:10 2016 +0100

    Update Catalan translation

 po/ca.po | 951 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 483 insertions(+), 468 deletions(-)

commit b1049608da7e1d11122e16a370b5fb08cb2d6d4f
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Feb 21 21:15:57 2016 +0000

    Updated Swedish translation

 po/sv.po | 692 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 1 file changed, 373 insertions(+), 319 deletions(-)

commit 17dc05f2417df11f7a560bae5db0c0fbaa367b52
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Feb 18 20:55:07 2016 +0100

    Updated Serbian translation

 po/sr.po       | 529 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 po/sr@latin.po | 529 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 2 files changed, 526 insertions(+), 532 deletions(-)

commit be7fa8c2cb9c8f83a321e5b3f172fa1578c23d68
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 18 18:51:47 2016 +0000

    Post-release version bump to 1.25.7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee68130efe59f956ed9d92bdfcf9691fea8b84f9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 18 18:41:49 2016 +0000

    Release Clutter 1.25.6

 NEWS         | 28 ++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 29 insertions(+), 1 deletion(-)

commit 483a4bb00e7dd2f14d86e167c8013c8638723c33
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 18 17:19:09 2016 +0000

    build: Use AC_COMPILE_IFELSE
    
    Instead of AC_TRY_COMPILE, which has been deprecated by newer autoconf.

 configure.ac | 66 +++++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 33 insertions(+), 33 deletions(-)

commit 86bc2f43bce941cf59aa3ecece26189ce61e50c0
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Feb 18 13:08:14 2016 +0000

    Updated Italian translation

 po/it.po | 515 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 256 insertions(+), 259 deletions(-)

commit 9a353e5ba9b4456b3ac5453883823cb20ecd7022
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Tue Feb 16 23:47:36 2016 +0100

    Updated Galician translations

 po/gl.po | 530 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 266 insertions(+), 264 deletions(-)

commit 8181ef15d6d203e82de9f2f10827563515612c2a
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Tue Jul 7 10:23:12 2015 +0800

    evdev: Pass a motion delta to pointer constrain callback
    
    The constrain callback cannot rely on the pointer position of the
    corresponding ClutterInputDevice to get the actual delta of the motion
    event that is to be constrained since it is only updated when an event is
    dispatched. So change the API to pass the previous pointer position when
    constraining.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752752

 README.in                                    | 7 +++++++
 clutter/evdev/clutter-device-manager-evdev.c | 5 ++++-
 clutter/evdev/clutter-evdev.h                | 2 ++
 3 files changed, 13 insertions(+), 1 deletion(-)

commit 52e38d1ab7c0e13aee8bdd7695741faf2dbb12ef
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Wed Dec 2 16:13:36 2015 +0800

    evdev: Expose microsecond timestamps via the clutter evdev API
    
    This is needed by Wayland compositors for certain types of events.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752752

 clutter/evdev/clutter-device-manager-evdev.c |  7 +++++++
 clutter/evdev/clutter-evdev.h                |  3 +++
 clutter/evdev/clutter-event-evdev.c          | 31 +++++++++++++++++++++++++++++++
 clutter/evdev/clutter-input-device-evdev.h   |  3 +++
 4 files changed, 44 insertions(+)

commit 9214d5029c630e6ed8fd9793f6bcb0a0ae451576
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Wed Dec 2 12:39:44 2015 +0800

    evdev: Use microsecond granularity for internal timestamps
    
    It's what libinput uses internally, and it'll be exposed in a later
    patch.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752752

 clutter/evdev/clutter-device-manager-evdev.c | 168 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------
 1 file changed, 99 insertions(+), 69 deletions(-)

commit a598917e0793d25df2caf1b51d061700b5688263
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Wed Dec 2 12:17:23 2015 +0800

    evdev: Provide the relative pointer motion event deltas
    
    Compositors need more detailed information about motion events. Make it
    possible to retrieve this information when running the evdev backend by
    adding the information to the backend specific event struct.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752752

 clutter/evdev/clutter-device-manager-evdev.c | 53 ++++++++++++++++++++++++++++++++++++++---------------
 clutter/evdev/clutter-evdev.h                |  7 +++++++
 clutter/evdev/clutter-event-evdev.c          | 59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/evdev/clutter-input-device-evdev.h   |  6 ++++++
 4 files changed, 110 insertions(+), 15 deletions(-)

commit a10200509e7aa25d43373c586e2539739806e914
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Wed Sep 30 14:26:09 2015 +0800

    evdev: Recycle device ids after devices are removed
    
    In order to not grow the device id number forever, recycle the ids
    whenever a device is released.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755849

 clutter/evdev/clutter-device-manager-evdev.c | 62 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/evdev/clutter-device-manager-evdev.h |  5 +++++
 clutter/evdev/clutter-input-device-evdev.c   | 36 +++++++++++++++++++-----------------
 3 files changed, 86 insertions(+), 17 deletions(-)

commit 3a8ba7b1738b43108ddc5ee01d76c0fd66f9546f
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 13 06:30:20 2016 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 528 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 264 insertions(+), 264 deletions(-)

commit 29babef8b134960e3912b38c8e052fd9d0255f43
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Feb 8 07:35:50 2016 +0000

    Updated French translation

 po/fr.po | 529 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 264 insertions(+), 265 deletions(-)

commit 697dfc083cb9c09d0ac13d04abb38c588ce1327d
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sun Feb 7 19:02:11 2016 +0000

    Updated Slovak translation

 po/sk.po | 517 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 258 insertions(+), 259 deletions(-)

commit 04c76d3b706cb90b5586f93a83d8de44f8c298b8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Feb 6 15:37:42 2016 +0100

    Updated Polish translation

 po/pl.po | 539 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 270 insertions(+), 269 deletions(-)

commit 0b2306bece82c29192247cb2d97c74c5ba698d3d
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Mon Feb 1 06:15:24 2016 +0200

    Updated Bulgarian translation

 po/bg.po | 1584 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 824 insertions(+), 760 deletions(-)

commit c624230a8a125ae6a06e9139151b0d292aa87915
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jan 25 18:48:49 2016 +0000

    gdk: Enable swap throttling on full screen windows
    
    Since commit 6183eb363282e5143bfd52aa36b5e6a318c4c992 we disabled swap
    throttling in favour of being driven by the GDK frame clock (and thus by
    the compositor).
    
    Compositors may decide to unredirect full screen windows to avoid the
    performance penalty of the additional copy, especially on X11, which
    means that a Clutter application marked as full screen is not going to
    be driven by the compositor, and it's not going to be throttled by the
    underlying GL machinery. This has a performance impact on constrained
    platforms.
    
    For this reason, we should re-enable swap throttling when the window is
    full screen.
    
    As the change was introduced especially because of Wayland, we should
    check that we're not running as clients under a Wayland compositor; if
    we do, we always keep swap throttling disabled, as the compositor will
    always manage our output, even when full screen.

 clutter/gdk/clutter-stage-gdk.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 84b17220c0f527757d35db13f5314f6df4cf01c6
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Mon Jan 25 11:21:48 2016 +0000

    Updated Hungarian translation

 po/hu.po | 542 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 270 insertions(+), 272 deletions(-)

commit 26386c6026da4fcc6e9ed1199bf151cc4d29e6bb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 21 16:20:02 2016 +0000

    Post-release version bump to 1.25.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0b7e2886f3bb3ec910b9faed57c924860fc280ae
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 21 16:06:08 2016 +0000

    Release Clutter 1.25.4

 NEWS         | 23 +++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 24 insertions(+), 1 deletion(-)

commit e1b9482600dbf5848f04271b173e332a4b7ed3cc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jan 21 15:58:30 2016 +0000

    docs: Add missing symbols

 doc/reference/clutter-sections.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 307cb5859838b80128f192222e33df13210a56cd
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Oct 23 17:31:47 2015 +0200

    evdev: Add scroll source/finish flags info to scroll events.
    
    Libinput tells us this much, so make use of it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757026

 clutter/evdev/clutter-device-manager-evdev.c | 65 +++++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 51 insertions(+), 14 deletions(-)

commit 89c1c1e5510360cc01da5bb042c531439aee7a3a
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Oct 23 17:27:14 2015 +0200

    clutter-event: Add scroll source enum and axis scroll flags
    
    Those can be used to implement different scrolling behaviors.
    The fields have been added to ClutterScrollEvent itself. According
    to pahole, this makes the struct as big as ClutterButtonEvent and
    ClutterTouchEvent, so already at the limit of the ClutterEvent
    union.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757026

 clutter/clutter-enums.h            | 39 +++++++++++++++++++++++++++++++++++++++
 clutter/clutter-event.c            | 42 ++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-event.h            |  7 +++++++
 doc/reference/clutter-sections.txt |  2 ++
 4 files changed, 90 insertions(+)

commit 9eaa7a78f660faaa7741efa2d48f6171d39c789a
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Tue Jan 12 22:23:03 2016 +0200

    Updated Lithuanian translation

 po/lt.po | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 29f4254aeca0db7cf82c536d19999363aa4a6320
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Tue Jan 5 20:08:24 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 515 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 258 insertions(+), 257 deletions(-)

commit abbf6ffeedcaacca86b893302b2139ea19c5f386
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu Dec 31 17:19:47 2015 +0200

    Updated Hebrew translation

 po/he.po | 526 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 263 insertions(+), 263 deletions(-)

commit d65f72655fdfe9b6a55932a4b37865e78dfd41d0
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Mon Dec 28 20:42:59 2015 +0100

    Updated German translation

 po/de.po | 869 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------------------------------------
 1 file changed, 351 insertions(+), 518 deletions(-)

commit 1020ceff3315a7b11e45fb3059720c5044614e08
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Dec 24 00:39:26 2015 +0100

    Updated Czech translation

 po/cs.po | 509 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 254 insertions(+), 255 deletions(-)

commit b683a4c698f15337ac56c96fbe408ea884cb4ebc
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Dec 20 14:58:44 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 533 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 265 insertions(+), 268 deletions(-)

commit 3f110d99d05dd4b6bd9aef8192a345048e5ba6b1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Dec 17 19:11:21 2015 +0100

    Updated Spanish translation

 po/es.po | 5803 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 2903 insertions(+), 2900 deletions(-)

commit 1f46697c4f6468acc6e90825b88999a9287c1ca4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 17 14:24:44 2015 +0000

    Post-release version bump to 1.25.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 314ba2c6ac7164dabaa8c25c3533d666befd4973
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 17 14:14:24 2015 +0000

    Release Clutter 1.25.2 (snapshot)

 NEWS         | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 58 insertions(+), 2 deletions(-)

commit 879cc0763d28cb67221506174eff10232db2575f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 17 14:06:48 2015 +0000

    docs: Add 1.26 symbols index

 doc/reference/clutter-docs.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit f4f609b28f8d11d0617e0dfe92646a5f8d242658
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 17 13:55:08 2015 +0000

    docs: Update sections file for missing macros

 doc/reference/clutter-sections.txt | 6 ++++++
 1 file changed, 6 insertions(+)

commit 1c9e297ae86c74bcab00674cb8ad8dd8ceb5fba1
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Dec 13 20:07:28 2015 +0100

    Updated Slovenian translation

 po/sl.po | 506 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 253 insertions(+), 253 deletions(-)

commit 86a9272bed5b15d33b825aa4ea802afd27e57cfb
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Sun Dec 13 08:22:44 2015 +0000

    Updated Portuguese translation

 po/pt.po | 535 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 266 insertions(+), 269 deletions(-)

commit fae541ebf1d5ecb41bd439843bcbbec3c8d63fd5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Dec 11 16:39:32 2015 +0000

    build: Rework the default rules for the EGL backend
    
    So that we can set it to 'check', and do configure-time discovery of the
    dependencies, instead of enabling it explicitly.
    
    This should make it easier to spot build issues on environments like
    Continuous, which build Clutter and Cogl for running as part of the
    display server infrastructure on Wayland.

 configure.ac | 98 +++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------
 1 file changed, 47 insertions(+), 51 deletions(-)

commit a774ff5a09b49c83e32f436f447bb35c5615592a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Dec 11 16:23:09 2015 +0000

    egl: Rename backend constructor function
    
    Otherwise the build will fail.

 clutter/egl/clutter-backend-eglnative.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7501f3b4f99260bc188cf5114168660d9124ae9d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Dec 11 15:51:30 2015 +0000

    tests: Force X11 backend for the pixmap test
    
    So it's usable as long as the X11 backend support is compiled into
    Clutter — and we can use this test to check that overriding works
    as intended.

 tests/interactive/test-pixmap.c | 4 ++++
 1 file changed, 4 insertions(+)

commit e9b5eb3045d335b6ebbfc7443076754447447065
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Dec 11 15:41:35 2015 +0000

    Allow setting the default backend from the configuration file
    
    We should allow a configuration file to set up the initial state of the
    global state, which also implies being able to set the backend.
    
    If the allowed backends have already been set programmatically via the
    clutter_set_windowing_backend(), though, then the application code takes
    precedence, as we assume that the application author knows better than
    us what their code supports or requires.

 clutter/clutter-backend-private.h |  2 ++
 clutter/clutter-backend.c         |  7 +++++++
 clutter/clutter-main.c            | 11 +++++++++++
 3 files changed, 20 insertions(+)

commit cc31ed77bda37d2739fdc3137cb15eda51605c7b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Dec 11 15:39:54 2015 +0000

    Read the config file when creating the global shared state
    
    The configuration file should set up the global state before we
    initialize it; instead of relying on implicit ordering, explicitly read
    the configuration file once, when creating the global shared context
    data structure.

 clutter/clutter-main.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 6d0d1deda2c75535f162253ae8b6787a2c885f71
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Dec 11 15:39:04 2015 +0000

    backend: Ensure that Cogl drivers are set prior to initialization
    
    It doesn't make sense for the allowed drivers to be changed after
    Clutter has been initialized.

 clutter/clutter-backend.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 10b74e7005acc39d2b7e123ce3b81fb9b02b5afa
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Dec 11 14:25:21 2015 +0000

    backend: Allow setting a list of windowing backends
    
    Like CLUTTER_DRIVER, we want to allow users to specify a list of
    backends to test, and fall back to the internally defined priority as a
    default.
    
    This requires changing the way the allowed backend string is parsed,
    both for the CLUTTER_BACKEND environment variable and for the
    clutter_set_windowing_backend() function. Existing callers are still
    supported with the exact same semantics.

 clutter/clutter-backend.c | 136 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------
 1 file changed, 93 insertions(+), 43 deletions(-)

commit 7ca28e09746f3f1a6b240a8c1a416dd4ad6c8ff6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Dec 11 14:23:38 2015 +0000

    Add internal constructor function for each backend
    
    We're going to use it to create an instance of each backend without
    using the get_type() function.

 clutter/egl/clutter-backend-eglnative.c   | 8 ++++++--
 clutter/egl/clutter-backend-eglnative.h   | 6 ++++--
 clutter/gdk/clutter-backend-gdk.c         | 7 ++++++-
 clutter/gdk/clutter-backend-gdk.h         | 6 ++++--
 clutter/mir/clutter-backend-mir.c         | 8 ++++++--
 clutter/mir/clutter-backend-mir.h         | 9 +++++----
 clutter/osx/clutter-backend-osx.c         | 6 ++++++
 clutter/osx/clutter-backend-osx.h         | 2 ++
 clutter/wayland/clutter-backend-wayland.c | 8 ++++++--
 clutter/wayland/clutter-backend-wayland.h | 6 ++++--
 clutter/win32/clutter-backend-win32.c     | 6 ++++++
 clutter/win32/clutter-backend-win32.h     | 2 ++
 clutter/x11/clutter-backend-x11.c         | 8 ++++++--
 clutter/x11/clutter-backend-x11.h         | 6 ++++--
 14 files changed, 67 insertions(+), 21 deletions(-)

commit 407d7ca436842b5461828066d8aecf86ff826f12
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 10 16:52:45 2015 +0000

    Allow overriding the list of Cogl drivers via configuration file
    
    Clutter has a configuration file that can be used to override
    various settings, including the ones from environment variables.

 clutter/clutter-backend-private.h |  1 +
 clutter/clutter-backend.c         |  8 +++++++-
 clutter/clutter-main.c            | 11 +++++++++++
 3 files changed, 19 insertions(+), 1 deletion(-)

commit bb23335b5fd29fb1d63e99b8f9eb32c5f11b4405
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 9 14:26:28 2015 +0000

    Add a configuration option for deciding the Cogl drivers to use
    
    Using environment variables only is not convenient for all platforms,
    and in some cases it's beneficial to decide the default driver when
    building Clutter. Cogl already has a similar configuration switch, and
    since Clutter is overriding the default Cogl behaviour, it should offer
    the same mechanism.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742678

 clutter/clutter-backend.c | 2 +-
 configure.ac              | 9 +++++++++
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 2c524fbf73cf5348cc1b03cced4a6b1c4c2f0224
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 9 12:45:12 2015 +0000

    backend: Allow overriding the Cogl drivers chain
    
    We have an hardcoded list of drivers we have to go through when creating
    a Cogl context. Some platforms may expose those drivers, but not be the
    preferred ones.
    
    In order to allow users and system integrators to override the list of
    drivers, we should crib the same approach used by GDK, and have an
    environment variable with a list of drivers to try.
    
    The new environment variable is called `CLUTTER_DRIVER` and accepts a
    comma-separated list of driver names, which will be tested in sequence
    until one succeeds. There's also an additional '*' token which is used
    to ask Clutter to fall back to the internally defined preferred list of
    drivers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742678

 clutter/clutter-backend.c         | 79 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------
 doc/reference/running-clutter.xml | 17 +++++++++++++++++
 2 files changed, 73 insertions(+), 23 deletions(-)

commit b47e1616eb1201eae35955aa62aebc352927c67b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 9 12:44:20 2015 +0000

    Fix annotation for bind_model()
    
    The (optional) annotation should only be used for (out) arguments; in
    arguments that can be NULL should use the (nullable) annotation.

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a166cc9f35463f6ed79425de237df5e994eebaef
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Dec 9 12:42:55 2015 +0000

    Fix definition of ClutterEventExtender
    
    The interface vtable structure is missing the GTypeInterface parent, and
    GObject is complaining about it, as it should.

 clutter/clutter-device-manager-private.h | 2 ++
 1 file changed, 2 insertions(+)

commit 7fe12eca54c15e9f2de0f87e7310afeb52ac8304
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 8 17:20:13 2015 +0000

    build: Use the 'x11' pkg-config module to check for X11
    
    Don't look at GLX headers or symbols; we don't use them anyway.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759191

 configure.ac | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit dd305950848891b5b91673033af134d3e1728cc3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 8 14:24:36 2015 +0000

    gdk: Check for both GDK and Cogl winsys support
    
    When using GDK and Cogl API, we need to check that both GDK and Cogl
    have been built with support for that API, otherwise the build will
    likely fail.

 clutter/gdk/clutter-stage-gdk.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 968022b83fa60c542ba35ede2490e750bd883cb2
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sat Dec 5 23:15:32 2015 +0000

    test: interactive: port cairo clock to ClutterCanvas
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759074

 tests/interactive/test-cairo-clock.c | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit 25e157ea42eff3bade9d08d7d45309a5a86f7942
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sat Dec 5 23:15:17 2015 +0000

    test: interactive: port cairo flowers to ClutterCanvas
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759074

 tests/interactive/test-cairo-flowers.c | 41 ++++++++++++++++++++++++++++++-----------
 1 file changed, 30 insertions(+), 11 deletions(-)

commit 9c26a98a6f16e6a339bd10cf0133930fed1e5d02
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Wed Dec 2 16:19:09 2015 +0800

    evdev: Drop redundant stage set check
    
    Every path creating a input device in the evdev backend sets a stage,
    so the check is unnecessary.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752752

 clutter/evdev/clutter-device-manager-evdev.c | 5 -----
 1 file changed, 5 deletions(-)

commit 1d53b773fdd645f19ddfc66d74818f5f636dacc4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 30 13:47:57 2015 +0000

    text: Enforce boolean value
    
    We store the cursor-visible value in a bit field, which means that we
    need to enforce the argument for the setter to either 0 or 1 in order to
    fit.

 clutter/clutter-text.c | 2 ++
 1 file changed, 2 insertions(+)

commit c8ef4349fed719040b8e92449eaa0aad75103401
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 30 13:47:15 2015 +0000

    docs: Improve documentation for ClutterText
    
    Ensure that the rule for :cursor-visible are documented.

 clutter/clutter-text.c | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 388fe9b542946adcb97b4f1e83065f77b1248f97
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 30 13:45:45 2015 +0000

    text: Unify conditions for visible cursor
    
    We have a bunch of similar checks in various places, and they should all
    be coalesced into one.

 clutter/clutter-text.c | 18 ++++++------------
 1 file changed, 6 insertions(+), 12 deletions(-)

commit 3b6ed43edd46b46e115d9d3fdc98d0d9e92857f6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 30 13:15:52 2015 +0000

    build: Add --disable-Werror
    
    We enable a bunch of compiler flags to trip common errors during
    development. While this is very useful while hacking on Clutter, it
    makes the life of people building Clutter on automated build systems
    much harder; thus, we should have a configuration option to opt out of
    the -Werror business.
    
    GNOME has pretty much standardised on `--disable-Werror`, so we should
    crib that configure option.

 configure.ac | 33 +++++++++++++++++++++------------
 1 file changed, 21 insertions(+), 12 deletions(-)

commit 2646658bf2a1e96ee2b83d6bdeb8be164075631b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 2 11:55:42 2015 +0000

    Add tags to the Git ignore file

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 78eb07d6576b0ef6c9d7e91d34414772d71d7455
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 2 12:34:39 2015 +0000

    text: Allow selectability without editability
    
    Being able to select text and being able to edit text are two separate
    capabilities, but ClutterText only allows the former with the latter.
    
    The ClutterText:selectable property is set to TRUE by default, given
    that it depends on the :editable property; this implies that all
    ClutterText instances now are going to show a cursor as soon as they get
    key focused. Obviously, this would make labels look a bit off — but if
    you have a label then you would not give it key focus, either by
    explicitly calling clutter_actor_grab_focus(), or by setting it as
    reactive and allowing it to be clicked.
    
    If this turns out to be a problem, we have various ways to avoid showing
    a cursor — for instance, we could change the default value of the
    selectable property, and ensure that setting the :editable property to
    TRUE would also set the :selectable property as a side effect. Or we
    could hide the cursor until the first button/touch press event. Finally,
    we could always back this commit out if it proves to be too much of a
    breakage for existing code bases.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757470

 clutter/clutter-text.c | 145 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------
 1 file changed, 75 insertions(+), 70 deletions(-)

commit 8c863573fcd8bf40c5cf0f2cb29673636ad90d56
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Nov 22 17:22:41 2015 +0000

    gdk: take into account scaling on wayland
    
    The X11 part of the GDK backend takes into account the scaling factor of its
    window when resizing the underlying X11 objects. We need to do the same for
    Wayland.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755245

 clutter/gdk/clutter-stage-gdk.c | 50 ++++++++++++++++++++++++++++++--------------------
 1 file changed, 30 insertions(+), 20 deletions(-)

commit a9b0715df1bc455567981b98a281b750efe64f29
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 17 19:44:38 2015 +0100

    gdk: Implement ClutterEventExtender
    
    This lifts the responsibility off its ClutterBackend.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758238

 clutter/gdk/clutter-backend-gdk.c        | 25 -------------------------
 clutter/gdk/clutter-device-manager-gdk.c | 37 ++++++++++++++++++++++++++++++++++++-
 2 files changed, 36 insertions(+), 26 deletions(-)

commit 9215852c32f09cb8effc9ea387fd5383df93607d
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 17 19:38:32 2015 +0100

    x11: Implement ClutterEventExtender
    
    This lifts the responsibility off its ClutterBackend.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758238

 clutter/x11/clutter-backend-x11.c        | 25 -------------------------
 clutter/x11/clutter-device-manager-xi2.c | 35 ++++++++++++++++++++++++++++++++++-
 2 files changed, 34 insertions(+), 26 deletions(-)

commit 8aeea7fb7351ff6c9e6edf42b529803ac1699a90
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 17 17:44:19 2015 +0100

    evdev: Set event code on button/key events
    
    This will allow users to know the event code without strange calculations
    on event->key.hardware_keycode or event->button.button.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758238

 clutter/evdev/clutter-device-manager-evdev.c | 3 +++
 1 file changed, 3 insertions(+)

commit f1ad702309486ff4bd32b7f0456a132893f2c17a
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 17 17:42:44 2015 +0100

    evdev: Allow to retrieve the input.h event code from ClutterEvents
    
    This is now stored as platform data in the ClutterEvent, so can
    be retrieved with the clutter_evdev_event_get_event_code() call
    that's been added to the evdev backend.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758238

 clutter/Makefile.am                          |   1 +
 clutter/evdev/clutter-device-manager-evdev.c |  10 ++++++++++
 clutter/evdev/clutter-evdev.h                |   3 +++
 clutter/evdev/clutter-event-evdev.c          | 101 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/evdev/clutter-input-device-evdev.h   |   8 ++++++++
 5 files changed, 123 insertions(+)

commit dfc749e576584c9ea6ad0aac739683e8ac64ea84
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 17 17:40:30 2015 +0100

    evdev: Implement the ClutterEventExtender interface
    
    This will allow the ClutterDeviceManagerEvdev to define evdev-specific
    event data.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758238

 clutter/evdev/clutter-device-manager-evdev.c | 31 ++++++++++++++++++++++++++++---
 1 file changed, 28 insertions(+), 3 deletions(-)

commit 4115f215aca5b4b9fe7dd6b32e66f81d12c1176f
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 17 17:37:45 2015 +0100

    backend: Bridge platform-dependent event data creation to device managers
    
    Device managers can now implement the ClutterEventExtender interface
    that allows them to set their own data to events, make the backend call
    those implementations if the device manager implements the interface.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758238

 clutter/clutter-backend.c | 20 ++++++++++++++++++--
 1 file changed, 18 insertions(+), 2 deletions(-)

commit 5ea70bd102b25ca4c85ce06921d17b0eff15e673
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 17 17:35:55 2015 +0100

    device-manager: Add private interface to manipulate platform event data
    
    This normally belonged to the ClutterBackend, however there's device
    managers (eg. evdev) that are somewhat detached from the backend, so
    need to bridge this somehow.
    
    This allows device managers to implement these bits that were usually
    responsibility of the ClutterBackend.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758238

 clutter/clutter-device-manager-private.h | 20 ++++++++++++++++++++
 clutter/clutter-device-manager.c         |  9 +++++++++
 2 files changed, 29 insertions(+)

commit 89a794ec46844aa3c3c3bbdee26b2b07b1219e4d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Nov 18 11:52:53 2015 +0000

    Add version macros for Clutter 1.26

 clutter/clutter-macros.h     | 18 ++++++++++++++++++
 clutter/clutter-version.h.in | 10 ++++++++++
 2 files changed, 28 insertions(+)

commit 8a63ea031d394ec0e983bfbd9f12ae0fe5e53a97
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 2 12:42:01 2015 +0000

    Bump up version to 1.25.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 83b738c0e7060b4526fdbd306fcc255f71c064fa
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Nov 16 15:26:56 2015 +0100

    evdev: Move additional pointer buttons after the old 4-7 scrolling ones
    
    On X11 those were skipped, so additional pointer buttons would come up
    as button >= 8 events. Do here the same, so we remain compatible across
    backends.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758237

 clutter/evdev/clutter-device-manager-evdev.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 5a022e8e14eca2e7a3675a2270d8fbbee4e08452
Author: Jeff Bai <jeffbai@aosc.xyz>
Date:   Sat Nov 14 15:06:45 2015 +0800

    update zh_CN translation

 po/zh_CN.po | 1185 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------------
 1 file changed, 600 insertions(+), 585 deletions(-)

commit a2ff8b471fe1a05c2a48bdbe64d0f2ead548f7fb
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   Wed Nov 4 16:52:21 2015 +0800

    update zh_CN translation

 po/zh_CN.po | 61 ++++++++++++++++++++++++-------------------------------------
 1 file changed, 24 insertions(+), 37 deletions(-)

commit a9f16c3d1f3152eab1987cb84562872685a08bac
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Oct 23 16:56:00 2015 +0200

    evdev: Mark either of smooth/discrete scroll events as emulating
    
    We're always emulating one of those, depending on the scrolling
    device/source, so mark these as such.

 clutter/evdev/clutter-device-manager-evdev.c | 23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)

commit 9753c9938239bdb2b102c56b496a76687f6d873a
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Oct 16 19:07:19 2015 +0200

    click-action: Ignore motions/updates from different devices/sequences
    
    Otherwise events from other devices or touch sequences might unintendedly
    trigger the thresholds, and a "cancelled" ::long-press with it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756749

 clutter/clutter-click-action.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 9ea14ff949970ec1fb1464b053c132855768460f
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Oct 14 10:36:36 2015 +0200

    Updated Basque language

 po/eu.po | 876 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 438 insertions(+), 438 deletions(-)

commit 410d59f5a166259c7a238a8c8e60eeb234029f94
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Oct 12 22:45:27 2015 +0100

    Post-release version bump to 1.24.3

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 55dc86c0c0f875ee2d2b94facc5ef01878a69bd0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Oct 12 19:52:05 2015 +0100

    Release Clutter 1.24.2

 NEWS         | 26 ++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 28 insertions(+), 2 deletions(-)

commit b6425bbb15ceaebf39282fb1ad18f4a1f6799780
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Oct 12 19:41:57 2015 +0100

    Use explicit NULL comparison for pointers
    
    Following the coding style.

 clutter/evdev/clutter-device-manager-evdev.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 1fe21a8fe174a4c98e8c694cff5bfc80ddb9efde
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Oct 9 20:43:25 2015 +0200

    evdev: Emulate discrete scroll events out of smooth scroll ones.
    
    There's handlers around relying on up/down/left/right scroll events,
    which won't work as expected if only smooth scroll events are sent.
    In order to work properly there, we have to retrofit discrete scroll
    events on the evdev backend.
    
    Fix this by implementing emission (on devices with a wheel) and
    emulation (on anything else) of discrete scroll events. On the former
    both smooth and discrete events are set, for the latter we do accumulate
    the dx/dy of the latest scroll events, and emit discrete ones when we
    accumulated enough. The ending 0/0 event will reset the accumulators for
    the next scrolling batch.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756284

 clutter/evdev/clutter-device-manager-evdev.c | 130 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 122 insertions(+), 8 deletions(-)

commit b2f8a0595c9cd4bd6c186c5c2c7573ecc3fd31be
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Wed Oct 7 07:06:00 2015 +0000

    Updated Portuguese translation

 po/pt.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit a19413d9a636e062d60473b02972dc2b65c0752f
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Tue Oct 6 16:00:50 2015 +0000

    Updated Finnish translation

 po/fi.po | 2089 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------
 1 file changed, 1291 insertions(+), 798 deletions(-)

commit 2ddec579d6f34395e8fd20a0efdbe8983b35148c
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Tue Sep 29 15:33:29 2015 -0400

    clutter_actor_update_map_state: Remove a useless warning
    
    A check for priv->parent == NULL was inside the else of a check
    for (priv->parent == NULL).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745517

 clutter/clutter-actor.c | 4 ----
 1 file changed, 4 deletions(-)

commit 4c9443bbd7171447fa9315fa13dc7cbf383c7081
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Tue Sep 29 15:17:24 2015 -0400

    _clutter_actor_set_enable_paint_unmapped: don't force an unmap
    
    When enable_paint_unmapped is disabled, we shouldn't force the
    source widget to be unmapped if the constraints would keep it
    mapped; in practice this shouldn't matter unless a paint handler
    is messing with the map state.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745517

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 76c8cd292ed269bd75e7482d96fd4209076d2266
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Tue Sep 29 14:15:16 2015 -0400

    Avoid crashing when an actor not parented to a toplevel is cloned
    
    If we can't realize the source actor for a clone, simply skip updating
    the map state and painting it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745517

 clutter/clutter-actor.c |  6 +++++-
 clutter/clutter-clone.c | 12 +++++++++---
 2 files changed, 14 insertions(+), 4 deletions(-)

commit 86a65ddffc511418e1aff48c4b8b9b7f7caa75f3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 14:55:36 2015 +0200

    Fix Kannada translation of default:LTR

 po/kn.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6840b3a4c7d8be19f13046db25c8ddc29f7424f8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 14:53:56 2015 +0200

    Fix Hindi translation of default:LTR

 po/hi.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 41a479264d6e8604a0cf99bf37e9548fc98b82c2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 26 14:44:43 2015 +0200

    Fix Ukrainian translation of default:LTR

 po/uk.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b9df8524f0c0835ef82737bb65282bc1214a1d94
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Sep 22 17:27:42 2015 +0100

    gdk: Enable clock updates when timelines are added to the clock
    
    Enable animation updates from the GdkFrameClock whenever any timeline is
    added to the ClutterMasterClockGdk. This may improve animation
    smoothness (depending on the GDK backend in use) because it allows GDK
    to tweak its frame timing for animation purposes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755357

 clutter/gdk/clutter-master-clock-gdk.c | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 51 insertions(+), 2 deletions(-)

commit 9ef5fd104aa627544faa315c0114b24f2bcd35af
Author: Милош Поповић <gpopac@gmail.com>
Date:   Tue Sep 22 12:36:27 2015 +0000

    Updated Serbian Latin translation

 po/sr@latin.po | 888 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------------
 1 file changed, 448 insertions(+), 440 deletions(-)

commit f2a56cec014f30558a0eed8fa5a8e3e1201f6fe9
Author: Милош Поповић <gpopac@gmail.com>
Date:   Tue Sep 22 12:35:47 2015 +0000

    Updated Serbian translation

 po/sr.po | 888 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 448 insertions(+), 440 deletions(-)

commit 6c26f791c257e56479a8ada9b68159425659e1f5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Sep 22 00:58:13 2015 +0100

    docs: Fix up the main reference XML
    
    We need an updated Docbook schema, and a couple of other attributes, so
    that gtk-doc will generate a valid devhelp file.

 doc/reference/clutter-docs.xml.in | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3816d5a6bb5257d5f65dbbb40029a353e0523f67
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Sep 17 16:32:33 2015 +0100

    gdk: Fix frame budget diagnostics
    
    Set the frame budget so that CLUTTER_ENABLE_DIAGNOSTIC correctly outputs
    timing diagnostics from the ClutterMasterClockGdk.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755357

 clutter/gdk/clutter-master-clock-gdk.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 9e8da646368394f3004e72c4bc4409ad1c473c92
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Sep 17 16:31:11 2015 +0100

    gdk: Use frame time when calculating the tick time for clock updates
    
    This is how GdkFrameClock is meant to be used: the frame time is meant
    to be queried from the GdkFrameClock within its frame signals, rather
    from the system monotonic time source.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755357

 clutter/gdk/clutter-master-clock-gdk.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5545b69a8f064d020f4b9c3532147c80f433ab63
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Sep 17 16:27:14 2015 +0100

    timeline: Add more debug output
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755357

 clutter/clutter-timeline.c | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

commit ae1a84853e4978092afec07aaead3e3a94f738f8
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Sep 17 16:26:23 2015 +0100

    timeline: Ensure waiting_first_tick is set before adding the timeline
    
    Just in case the timeline starts being prodded by the ClutterMasterClock
    before the add function returns. (This has not been verified.)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755357

 clutter/clutter-timeline.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8e52f8c61ef2192eaf7f2208a922d3530df47d9b
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Sun Sep 20 14:05:56 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 865 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 433 insertions(+), 432 deletions(-)

commit f5f2b2ee7a459abb481153346eb4ab86967f1b60
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Sep 20 12:49:21 2015 +0000

    Updated Swedish translation

 po/sv.po | 1113 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 549 insertions(+), 564 deletions(-)

commit 5cf6c80c9b19f05c5c791e4f19f2e8677ce641cc
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Sep 19 16:24:08 2015 +0000

    Updated Danish translation

 po/da.po | 481 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 244 insertions(+), 237 deletions(-)

commit 53372f69fd1c3918b7ff32d8069350dce15621d9
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Fri Sep 18 22:23:06 2015 +0300

    Updated Latvian translation

 po/lv.po | 509 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------------
 1 file changed, 246 insertions(+), 263 deletions(-)

commit 2e554db8cf18e0ac523f534b67f886bfb7326532
Author: Stas Solovey <whats_up@tut.by>
Date:   Thu Sep 17 11:26:45 2015 +0000

    Updated Russian translation

 po/ru.po | 879 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 442 insertions(+), 437 deletions(-)

commit 5fecf2b293bbdf01d28c8936ebc95336495a11a9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Sep 15 13:12:09 2015 +0100

    Post-release version bump to 1.24.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
